Subject: Re: reconcile? (was RE: Summary of Megaco Meetings)

From: Tom-PT Taylor <[email-masked]>
Date: Wed, 17 Nov 1999 09:50:04 -0600

We can't put references to works in progress in a document which is going
for final approval.

There was a tussle in SG 16 over where the architectural diagrams showing
how H.248 related to an H.323 Gateway which used to be there actually
belonged.  They were relocated to H.323 itself.  Similarly one would expect
SIP-related architectural material showing how SIP relates to Megaco to go
into IETF documents rather than the joint one.  This is a matter of good
manners in an area where we and SG 16 have differing views.

> -----Original Message-----
> From: Henry Sinnreich [SMTP:[email-masked]]
> Sent: Wednesday, November 17, 1999 9:00 AM
> To:   [email-masked]; Greene, Nancy-M
> [CAR:5N10:EXCH]; Taylor, Tom-PT [CAR:B904-I:EXCH]
> Cc:   Robert Sparks; Alan Johnston; Eric Zimmerer
> Subject:      reconcile? (was RE: Summary of Megaco Meetings)
>
> Nancy's drawing adds the important point of MEGACO gateways talking to SIP
> clients and together with Brian's provides the graphics for an
> architectural background, such as:
>
> MEGACO in the Context of the The Internet Multimedia Conferencing
> Architecture [x] (attached)
> =====================================================================
> SIP clients can be IP telephony gateways, using MEGACO as shown in figure1
> . In this architecture, any SIP client, such as IP phones, PCs or palm
> tops do not need to know the PSTN protocol when the other party is on the
> PSTN. Gateways and clients can also use H.323 in an H.323 environment.
> Call flows for SIP clients and gateways are given in [y].
>
>        MGC     ---   SIP       ---------------   SIP UAC (i.e. SIP IP
> Phone)
>           |                                                   |
>       Megaco                                         /
>           |                                             /
>         MG      ---   RTP/AAL2/....  ------/
>
>                                Figure 1
>
> In the particular case when both SIP clients are IP telephony gateways as
> shown in Fig. 2,
>
>        MGC  --- SIP/ISUP(BICC)/H.323  --- MGC
>           |                                                   |
>       Megaco                                       Megaco
>           |                                                   |
>         MG      ---   RTP/AAL2/....       ---   MG
>
>                             Figure 2
>
> there are two options:
>
> A. The gateways use SIP signaling as with any other client (SIP in the
> middle model).
>
> B. The gateways use SIP as a transport vehicle to carry PSTN signaling
> between them, such as ISUP across the IP network. This case is applicable
> when both sides understand the same PSTN protocol variant [z].
>
> My apology if all this seems obvious to some, but the discussions on the
> list have shown that such an introductory note would be quite useful.
> I suppose H.248 documents could carry similar references for good balance.
>
> References:
> [x] The Internet Multimedia Conferencing Architecture by M. Handley/J.
> Crowcroft/C. Bormann/J. Ott
>      <draft-ietf-mmusic-confarch-02.txt> (have attached it here below)
>
> [y] SIP Telephony Call Flow Examples by Alan Johnston, et al.
>
> <http://search.ietf.org/internet-drafts/draft-johnston-sip-call-flows-00.t
> xt>
>
>     (PBX and Centrex like services are given in
>
> <http://search.ietf.org/internet-drafts/draft-sparks-sip-service-examples-
> 00.txt> )
>
> [z] SIP Best Current Practice for Telephony Interworking
>
> <http://search.ietf.org/internet-drafts/draft-zimmerer-sip-bcp-t-00.txt>
>     This document obseletes the 'SIP+: Inter-MGC Protocol'
>
> Thanks, Henry
>
>